package at.acdp.urweb.rtde;

public class InParams {
    public static final String	speed_slider_mask	="speed_slider_mask"; //	UINT32	"0 = don't change speed slider with this input 1 = use speed_slider_fraction to set speed slider value"
    public static final String	speed_slider_fraction	="speed_slider_fraction"; //	DOUBLE	new speed slider value
    public static final String	standard_digital_output_mask	="standard_digital_output_mask"; //	UINT8	Standard digital output bit mask*
    public static final String	standard_digital_output	="standard_digital_output"; //	UINT8	Standard digital outputs
    public static final String	configurable_digital_output_mask	="configurable_digital_output_mask"; //	UINT8	Configurable digital output bit mask*
    public static final String	configurable_digital_output	="configurable_digital_output"; //	UINT8	Configurable digital outputs
    public static final String	tool_digital_output_mask	="tool_digital_output_mask"; //	UINT8	"Tool digital outputs mask  Bits 0-1: mask, remaining bits are reserved for future use"
    public static final String	tool_digital_output	="tool_digital_output"; //	UINT8	"Tool digital outputs Bits 0-1: output state, remaining bits are reserved for future use"
    public static final String	standard_analog_output_mask	="standard_analog_output_mask"; //	UINT8	"Standard analog output mask Bits 0-1: standard_analog_output_0 | standard_analog_output_1"
    public static final String	standard_analog_output_type	="standard_analog_output_type"; //	UINT8	"Output domain {0=current[A], 1=voltage[V]} Bits 0-1: standard_analog_output_0 | standard_analog_output_1"
    public static final String	standard_analog_output_0	="standard_analog_output_0"; //	DOUBLE	Standard analog output 0 (ratio) [0..1]
    public static final String	standard_analog_output_1	="standard_analog_output_1"; //	DOUBLE	Standard analog output 1 (ratio) [0..1]
    public static final String	input_bit_registers0_to_31	="input_bit_registers0_to_31"; //	UINT32	"General purpose bits This range of the boolean input registers is reserved for FieldBus/PLC interface usage."
    public static final String	input_bit_registers32_to_63	="input_bit_registers32_to_63"; //	UINT32	"General purpose bits This range of the boolean input registers is reserved for FieldBus/PLC interface usage."
    public static final String	input_bit_register_X	="input_bit_register_X"; //	BOOL	"64 general purpose bits X: [64..127] - The upper range of the boolean input registers can be used by external RTDE clients (i.e URCAPS)."
    public static final String	input_int_register_X	="input_int_register_X"; //	INT32	"48 general purpose integer registers X: [0..23] - The lower range of the integer input registers is reserved for FieldBus/PLC interface usage. X: [24..47] - The upper range of the integer input registers can be used by external RTDE clients (i.e URCAPS)."
    public static final String	input_double_register_X	="input_double_register_X"; //	DOUBLE	"48 general purpose double registers X: [0..23] - The lower range of the double input registers is reserved for FieldBus/PLC interface usage. X: [24..47] - The upper range of the double input registers can be used by external RTDE clients (i.e URCAPS)."
}
